System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

The class is used to convert data to and from and string types.

You should never access a type converter directly. Instead, call the appropriate converter by using . For more information, see the examples in the base class.

Converts a to a string. It also converts a string to a .

- Constructor

  You should never access a type converter directly. Instead, call the appropriate converter by using a object. For more information, see the examples in .

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  Use the method to determine whether the data type specified by the parameter can be converted to a .

  This method will return true only if the is . The only type this converter can convert into is .

  Determines whether a data type can be converted to a .

  true if the data type specified by the parameter can be converted to a ; otherwise, false.

  A implemented object that provides information about the context of a type converter. A that represents the data type to check. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` `` To be added.

  Returns a value indicating whether the converter can convert a object to the specified type.

  true if the converter supports converting a object to the destination type; otherwise, false.

  This method will return true only if the is . The only type this converter can convert into is .

  An that indicates the context of the object to convert. A that represents the data type to convert to.
- Method
  System.Object `` `` ``

  Use the method to convert the object specified by the parameter to a in the culture specified by the parameter.

  If the specified object is null, the returned value is also null. Similarly, if the specified object is , is returned.

  This method can only convert a string to a .

  Converts an object to a in a specific culture.

  A that represents the converted value.

  An implemented object that provides information about the context of a type converter. A that specifies the culture to represent the , when it is expressed in points. The object to convert to a . 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` ``

  Use the method to convert the specified by the parameter to an object with the data type specified by the parameter.

  is returned from this method if the parameter contains null. is also returned if the property of the specified by the parameter contains the value FontSize.NotSet.

  This method can only convert a to a string.

  Converts a to an object with a different data type.

  A that represents the converted value.

  An implemented object that provides information about the context of a type converter. A that specifies the culture to represent the , when it is expressed in points. A that represents the to convert. A that represents the data type to convert to. 1.0.5000.0 2.0.0.0
- Method
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  Use the method to retrieve a containing the standard values for a . This collection contains all the fields in the class.

  Returns a containing the standard values for a , using the specified format context.

  A containing the standard values for a .

  An that provides information about the context of a type converter. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether the returned by the method is an exclusive list of values. This method is overridden to always return false to indicate that the list of values is not an exclusive list.

  Returns whether the returned by the method is an exclusive list of values, using the specified format context.

  false for all cases.

  An that provides information about the context of a type converter. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether the instance of the class that this method is called from supports a standard set of values that can be picked from a list, using the specified format context. This method is overridden to always return true to indicate that this class supports a standard set of values that can be picked from a list.

  Returns whether the instance of the class that this method is called from supports a standard set of values that can be picked from a list, using the specified format context.

  true for all cases.

  An that provides information about the context of a type converter. 1.0.5000.0 2.0.0.0